# RollbackContext

class RollbackContext < T >(source)

Context provided to rollback actions, containing both the successful result of the action and the error that triggered the rollback.

#### Parameters

actionResult

The result of the action that succeeded before the transaction failed

error

The throwable that caused the transaction to fail

#### Type Parameters

T

The type of the action result

## Properties

actionResult
Link copied to clipboard
val actionResult : T
error
Link copied to clipboard
val error : Throwable